Create a JSON credentials configuration
Roles
Analytics Events
/v2/credentials/web-semantic/configurationsCreates a new JSON credentials configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued.
Analytic events
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_START
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS
- CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
The credential configuration payload
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/web-semantic/configurations" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "983c0a86-204f-4431-9371-f5a22e506599",
"name": "Course credential",
"description": "This credential shows that the person has attended a course.",
"type": "CourseCredential",
"additionalTypes": [
"AlumniCredential",
"EducationCredential"
],
"contexts": [
"https://optionalschema.example/"
],
"issuer": {
"name": "ABC University",
"logoUrl": "https://example.edu/img/logo.png",
"iconUrl": "https://example.edu/img/icon.png"
},
"proofType": "Ed25519Signature2018",
"credentialBranding": {
"backgroundColor": "#B00AA0",
"watermarkImageUrl": "https://example.edu/img/watermark.png"
},
"claimMappings": {
"firstName": {
"mapFrom": "claims.given_name",
"required": true
},
"address": {
"mapFrom": "claims.address.formatted"
},
"picture": {
"mapFrom": "claims.picture",
"defaultValue": "http://example.edu/img/placeholder.png"
},
"badge": {
"defaultValue": "http://example.edu/img/badge.png"
},
"providerSubjectId": {
"mapFrom": "authenticationProvider.subjectId"
}
},
"persist": false,
"revocable": true,
"claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",
"expiresIn": {
"years": 0,
"months": 3,
"weeks": 0,
"days": 0,
"hours": 0,
"minutes": 0,
"seconds": 0
}
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Delete a Semantic CWT credentials configuration DELETE
Deletes an existing Semantic CWT credentials configuration by providing its ID. ### **Analytic events** * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_START * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_SUCCESS * CREDENTIAL_COMPACT_SEMANTIC_CREDENTIAL_CONFIGURATION_DELETE_FAIL
Retrieve all JSON credentials configurations GET
Returns a list of all JSON credential configurations on your tenant. ### **Analytic events** * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_START * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESS * CREDENTIAL_WEB_SEMANTIC_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL